image: python:3.7

stages:
  - quality-assurance

before_script:
  - pip install tox

linters:
  stage: quality-assurance
  script: tox -e linters

  # Be nice to new contributors, but please use `tox` before commit
  allow_failure: true
